#!/bin/sh
read -p "Enter the domain your instance will run from: " PL_DOMAIN
read -p "Enter the name of your instance: " PL_INSTANCE_NAME
read -p "Enter the admin email: " PL_ADMIN_EMAIL
read -p "Enter the notify email: " PL_NOTIFY_EMAIL

PL_DB_PASS=`strings /dev/urandom | grep -o '[[:alnum:]]' | head -n 48 | tr -d '\n'; echo`

sed -i -e "s/CHANGETHEDATABASEPASSWORD!/${PL_DB_PASS}/g" \
    -e "s/admin@example.com/${PL_ADMIN_EMAIL}/g" \
    -e "s/notify@example.com/${PL_NOTIFY_EMAIL}/g" \
    -e "s/Pleroma/${PL_INSTANCE_NAME}/g" \
    -e "s/example.com/${PL_DOMAIN}/g" \
docker-compose.yml

chmod o= config.exs

docker compose up -d db
sleep 10
docker exec -i pleroma_db psql -U pleroma -c "CREATE EXTENSION IF NOT EXISTS citext;"
docker compose down
docker compose build web --no-cache
docker compose up -d
sleep 10
echo "The docker container for your instance should be up and ready, but there is no admin account..."
read -p "Enter the admin username: " PL_ADMIN_USERNAME
docker exec -it pleroma_web sh ./bin/pleroma_ctl user new "${PL_ADMIN_USERNAME}" "${PL_ADMIN_EMAIL}" --admin
echo "Please copy the reset link above and save it, and make sure to set up your reverse proxy so you can access your new instance!"